package warehouse.management;
import java.util.ArrayList;
import java.util.Iterator;

public class Shelf {
	private ArrayList<Product> products = new ArrayList<Product>();
	public void add(Product p){
		// toote valideerimine
		products.add(p);
	}
	public int getItemCount(Product prod){
		int n = 0;
		for(Product p: products)
			if(p.equals(prod))
				n++;
		
		return n;
	}
	public boolean dispatch(Product prod){
		Iterator<Product> iter = products.iterator();
		while(iter.hasNext())
			if(prod.equals(iter.next())){
				iter.remove();
				return true;
			}
		
		return false;			
	}
	@Override
	public String toString(){
		String res = "";
		for(Product p: products)
			res += "\n\t"+p;
		return res;
	}
}
